Nik021626.jpg=Peninsula Valdes - Sea Lions
Nik0216Pan08.JPG=Peninsula Valdes - Elephant Seals
Nik02161.jpg=Peninsula Valdes - Magellan[ic] Penguins
Nik021618.jpg=Coromorants and Penguins
DSC_2533.JPG=Peninsula Valdes - Magellan[ic] Penguins
20180216_003343.jpg=Peninsula Valdes - Magellan[ic] Penguins
20180216_010754.jpg=Peninsula Valdes - Fossil rocks
Nik021625.jpg=Peninsula Valdes - Sea Lions
DSC_2486.JPG=Peninsula Valdes - Magellan[ic] Penguins
DSC_2631.JPG=Truck/Tirke at the wharf
Nik02162.jpg=Peninsula Valdes - Magellan[ic] Penguins
Nik021627.jpg=Peninsula Valdes - Punta (Point) Piramide
Nik02169.jpg=Peninsula Valdes - Magellan[ic] Penguins
20180216_003212.jpg=Peninsula Valdes - not Magellan[ic] Penguins
Nik021617.jpg=Peninsula Valdes
DSC_2489.JPG=Peninsula Valdes
Nik0216Pan06.JPG=Peninsula Valdes - Magellan[ic] Penguins
DSC_2476.JPG=Peninsula Valdes - Guanacos [look like a croos between Llama and Camel]
Nik0216Pan01.JPG=Puerto Madryn [Argentina]
S702161.jpg=Peninsula Valdes National Park -  [Southern Right] Balleen
Nik021615.jpg=Peninsula Valdes - Magellan[ic] Penguins
Nik02168.jpg=Peninsula Valdes
Nik021629.jpg=Peninsula Valdes - Lesser Rhea
SouthernRightWhale.jpg=Southern Right Whale
20180216_023607.jpg=Birds of Peninsula Valdes
Nik021620.jpg=Peninsula Valdes
DSC_2462.JPG=Peninsula Valdes - Guanacos with sheep
Nik021616.jpg=Peninsula Valdes - Elephant Seals
Nik02167.jpg=Peninsula Valdes - Guanacos with sheep
PanN02161.jpg=Peninsula Valdes - Fossil rocks
Nik021628.jpg=Peninsula Valdes - Lesser Rhea
S70216.jpg=Puerto Madryn [Argentina]
20180216_010106.jpg=Birds of Peninsula Valdes
S60216.jpg=Puerto Madryn [Argentina] - Sea ions resting on the wharf bumpers
Nik021613.jpg=Peninsula Valdes - Magellan[ic] Penguins
Nik02166.jpg=Peninsula Valdes - Guanacos with sheep
Nik021630.jpg=Peninsula Valdes - Lesser Rhea
Nik021612.jpg=Peninsula Valdes - Magellan[ic] Penguins
Nik021621.jpg=Peninsula Valdes - Magellan[ic] Penguins
Nik0216.jpg=Peninsula Valdes - Magellan[ic] Penguins
Nik021614.jpg=Peninsula Valdes - Magellan[ic] Penguins
Nik02165.jpg=Peninsula Valdes National Park - Lesser Rhea {like a smaller Emu]
20180216_004818.jpg=The Orca
PanS702163.jpg=Peninsula Valdes - Sea Lions
Nik0216Pan10.JPG=Peninsula Valdes - Sea Lions
Nik021622.jpg=Peninsula Valdes - Sea Lions
Nik02163.jpg=Puerto Madryn - beachgoers in the afternnon cool
20180215_230213.jpg=Peninsula Valdes National Park - Balleen whale skeleton [Southern Right]
February.jpg=Puerto Madryn [Argentina] - our next port of call
Nik02164.jpg=Puerto Madryn [Argentina]
PanS702162.jpg=Peninsula Valdes - Nothing to see here but in June/July the Orcas appear here
Nik021610.jpg=Peninsula Valdes - Peregrine Falson
Nik021623.jpg=Peninsula Valdes - Sea Lions
Nik021619.jpg=Peninsula Valdes - Elephant Seals
20180216_023621.jpg=Sea Lion
DSC_2588.JPG=Peninsula Valdes - Sea Lions
Nik021611.jpg=Peninsula Valdes - Magellan[ic] Penguins
DSC_2550.JPG=Peninsula Valdes - Elephant Seals
20180216_010020.jpg=Elephant Seal
PanS702161.jpg=Arriving at Puerto Madryn [Argentina]
PanN0216.jpg=Peninsula Valdes - Guanacos with sheep
PanS70216.jpg=Puerto Madryn [Argentina] -  Peninsula Valdes National Park entrance
Nik021624.jpg=Peninsula Valdes - Sea Lions
